> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pipeline Status

> Get the status of an optimize-and-deploy pipeline by token



## OpenAPI

````yaml /api-reference/openapi.json get /orchestration/optimize-and-deploy/{brand_id}/{token}
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /orchestration/optimize-and-deploy/{brand_id}/{token}:
    get:
      tags:
        - orchestration
      summary: Get Pipeline Status
      description: Get the status of an optimize-and-deploy pipeline by token
      operationId: getOptimizeAndDeployStatus
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: integer
            title: Brand Id
        - name: token
          in: path
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrchestrationStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - query
      servers:
        - url: https://api.scrunchai.com/v2
components:
  schemas:
    OrchestrationStatusResponse:
      properties:
        token:
          type: string
          title: Token
        url:
          type: string
          title: Url
        status:
          type: string
          title: Status
        orchestration_status:
          anyOf:
            - type: string
              enum:
                - audit
                - optimizing
                - deploying
                - completed
                - failed
            - type: 'null'
          title: Orchestration Status
        optimization_run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Optimization Run Id
        axp_version_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Axp Version Id
        result:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Result
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - token
        - url
        - status
        - created_at
        - updated_at
      title: OrchestrationStatusResponse
      description: Response for orchestration status check.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````